InformationDelegator (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap
Class InformationDelegator

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.OMComponentPanel
                          com.bbn.openmap.InformationDelegator

All Implemented Interfaces:
  InfoDisplayListener, ProgressListener, MapPanelChild, LightMapHandlerChild, PropertyConsumer, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class InformationDelegator

extends OMComponentPanel
implements InfoDisplayListener, java.beans.PropertyChangeListener, ProgressListener, MapPanelChild

The InformationDelegator manages the display of information requested by Layers and other map components. It can bring up a web browser to display web pages and files, and pop up a message window to provide status information to the user. It also has a visible status window that contains a layer status indicator, and an information line that can display short messages.

InformationDelegators are added to layers, and the layer fires events through the InfoDisplayListener interface. The InformationDelegator has a method called listenToLayers() that lets you give it an array of layers, and it adds itself as a InfoDisplayListener to those layers.

The InformationDelegator lets you alter its behavior with property settings:

         # Make the status lights buttons that bring up layer palettes.
         infoDelegator.triggers=true
         # Show the layer status lights.
         infoDelegator.showLights=true
         # Show the text line for map object information
         infoDelegator.showInfoLine=true
         # Show the text line for coordinate information
         infoDelegator.showCoordsInfoLine=true

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected WebBrowser` | `browser`
`static int` | `COORDINATE_INFO_LINE`
`protected java.awt.Cursor` | `currentMapBeanCursor` Used to remember any cursor that may bave been requested by a layer.
`protected java.awt.Cursor` | `fallbackMapBeanCursor` Used to remember what the MouseModeCursor is, which is the base cursor setting for the MapBean.
`protected javax.swing.JLabel` | `infoLineHolder`
`protected javax.swing.JLabel` | `infoLineHolder2`
`protected java.util.ArrayList` | `infoLineOrganizer`
`protected MapBean` | `map`
`static int` | `MAP_OBJECT_INFO_LINE`
`protected java.lang.String` | `preferredLocation` BorderLayout.SOUTH by default for this class.
`protected javax.swing.JProgressBar` | `progressBar`
`protected java.lang.String` | `propertyPrefix`
`static java.lang.String` | `ShowCoordsInfoLineProperty`
`static java.lang.String` | `ShowInfoLineProperty`
`protected boolean` | `showLights` Flag to show the status lights.
`static java.lang.String` | `ShowLightsProperty`
`protected boolean` | `showWaitCursor`
`protected StatusLightPanel` | `statusBar`
`protected javax.swing.ToolTipManager` | `ttmanager`
`protected boolean` | `waitingForLayers`
`static java.lang.String` | `WebBrowserClassProperty`

Fields inherited from class com.bbn.openmap.gui.OMComponentPanel
`beanContextChildSupport, i18n, isolated, orientation, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.gui.MapPanelChild
`ParentNameProperty, PreferredLocationProperty`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`InformationDelegator()`

Method Summary
`void` | `addInfoLine(int refIndex, javax.swing.JLabel iLine)`
`void` | `displayBrowserContent(java.lang.String content)` Display a html String in a window.
`void` | `displayInfoLine(java.lang.String infoLine)` Display a line of text in a info line.
`void` | `displayInfoLine(java.lang.String infoLine, int labelDesignator)` Display a line of text in a designated info line.
`void` | `displayMessage(java.lang.String title, java.lang.String message)` Display a message in a pop-up window.
`void` | `displayURL(java.lang.String url)` Try to display a URL in a web browser.
`void` | `findAndInit(java.lang.Object someObj)` Called when an object has been added to the BeanContext.
`void` | `findAndUndo(java.lang.Object someObj)` Called when an object is being removed from the BeanContext.
`WebBrowser` | `getBrowser()`
`javax.swing.JLabel` | `getInfoLineHolder()`
`boolean` | `getLightTriggers()`
`java.lang.String` | `getParentName()` Should return the name of the desired parent component.
`java.lang.String` | `getPreferredLocation()` MapPanelChild method.
`javax.swing.JProgressBar` | `getProgressBar()`
`java.util.Properties` | `getProperties(java.util.Properties props)` PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent.
`java.util.Properties` | `getPropertyInfo(java.util.Properties props)` Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer.
`boolean` | `getShowCoordsInfoLine()`
`boolean` | `getShowInfoLine()`
`boolean` | `getShowLights()`
`void` | `initInfoWidgets()` If you want to subclass the InformationDelegator and have it handle messages differently, you can override this method to set the widgets you want.
`void` | `initToolTip()` This method should be called to initialize the tooltip status so that an old tooltip doesn't remain when a layer starts listening to mouse events.
`boolean` | `isShowWaitCursor()` Returns whether the wait cursor will be shown if the layers are working.
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Listen for changes to the active mouse mode and for any changes to the list of available mouse modes.
`void` | `removeInfoLine(int refIndex)`
`void` | `requestBrowserContent(InfoDisplayEvent event)` Handle layer requests that plain text or html text be displayed in a browser.
`void` | `requestCursor(java.awt.Cursor cursor)` Change the cursor for the MapBean.
`void` | `requestHideToolTip()` This method should follow a call to showToolTip in order to indicate that the tooltip should no longer be displayed.
`void` | `requestHideToolTip(java.awt.event.MouseEvent me)` Deprecated. call requestHideToolTip() instead.
`void` | `requestInfoLine(InfoDisplayEvent event)` Handle layer requests to have an information line displayed in an application status window.
`void` | `requestMessage(InfoDisplayEvent event)` Handle layer requests to have a message displayed in a dialog window.
`void` | `requestShowToolTip(InfoDisplayEvent event)` If a tooltip is required over a spot on the map then a `MouseMapListener` should pass a MouseEvent to this method.
`void` | `requestShowToolTip(java.awt.event.MouseEvent me, InfoDisplayEvent event)` Deprecated. use requestShowToolTip(InfoDisplayEvent) instead.
`void` | `requestURL(InfoDisplayEvent event)` Handle layer requests to have a URL displayed in a Browser.
`void` | `resetCursor()` Sets the cursor over the mapbean to the assigned default, or whatever has been set by the MouseMode.
`void` | `resetForLayers(Layer[] connectToLayers, Layer[] removeFromLayers)` Set the InformationDelegator on Layers.
`void` | `setAllLabels(java.lang.String str)`
`void` | `setBrowser(WebBrowser wb)`
`void` | `setFloatable(boolean value)`
`void` | `setInfoLineHolder(javax.swing.JLabel ilh)`
`void` | `setLabel(java.lang.String str)` Set the information line label.
`void` | `setLabel(java.lang.String str, int infoLineDesignator)` Set the information line label.
`void` | `setLightTriggers(boolean set)`
`void` | `setMap(MapBean map)` Set the MapBean so that when the mouse mode changes, the cursor can change.
`void` | `setPreferredLocation(java.lang.String value)` MapPanelChild method.
`void` | `setProgressBar(javax.swing.JProgressBar progressBar)`
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.
`void` | `setResetCursor(java.awt.Cursor cursor)` Set the cursor to use when the waiting is done, if a layer hasn't asked for one to be displayed.
`void` | `setShowCoordsInfoLine(boolean set)` This only holds if the COORDINATE_INFO_LINE has been created.
`void` | `setShowInfoLine(boolean set)` This only holds if the MAP_OBJECT_INFO_LINE has been created.
`void` | `setShowLights(boolean set)`
`void` | `setShowWaitCursor(boolean value)` If the value passed in is true, the cursor over the MapBean will be the waiting cursor layers are off working.
`protected void` | `setStatusBar()` The method that updates the InformationDelegator display window with the correct layer representation.
`void` | `updateProgress(ProgressEvent evt)` Receive a ProgressEvent, and use it if possible.

Methods inherited from class com.bbn.openmap.gui.OMComponentPanel
`addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, fireVetoableChange, getBeanContext, getOrientation, getPropertyPrefix, getWindowSupport, isIsolated, removeVetoableChangeListener, setBeanContext, setIsolated, setOrientation, setProperties, setPropertyPrefix, setWindowSupport`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### infoLineHolder

    protected javax.swing.JLabel infoLineHolder

### infoLineHolder2

    protected javax.swing.JLabel infoLineHolder2

### browser

    protected WebBrowser browser

### statusBar

    protected StatusLightPanel statusBar

### progressBar

    protected javax.swing.JProgressBar progressBar

### map

    protected MapBean map

### ttmanager

    protected javax.swing.ToolTipManager ttmanager

### propertyPrefix

    protected java.lang.String propertyPrefix

### fallbackMapBeanCursor

    protected java.awt.Cursor fallbackMapBeanCursor

  Used to remember what the MouseModeCursor is, which is the base cursor setting for the MapBean. The gesture modes set this cursor, and it gets used when the currentMapBeanCursor is null.

### currentMapBeanCursor

    protected java.awt.Cursor currentMapBeanCursor

  Used to remember any cursor that may bave been requested by a layer. This is usually null, unless a layer has requested a cursor. The MapBean gesture modes set the fallbackMapBeanCursor instead.

### waitingForLayers

    protected boolean waitingForLayers

### showWaitCursor

    protected boolean showWaitCursor

### showLights

    protected boolean showLights

  Flag to show the status lights.

### ShowLightsProperty

    public static final java.lang.String ShowLightsProperty

See Also:
  Constant Field Values

### ShowInfoLineProperty

    public static final java.lang.String ShowInfoLineProperty

See Also:
  Constant Field Values

### ShowCoordsInfoLineProperty

    public static final java.lang.String ShowCoordsInfoLineProperty

See Also:
  Constant Field Values

### WebBrowserClassProperty

    public static final java.lang.String WebBrowserClassProperty

See Also:
  Constant Field Values

### MAP_OBJECT_INFO_LINE

    public static final int MAP_OBJECT_INFO_LINE

See Also:
  Constant Field Values

### COORDINATE_INFO_LINE

    public static final int COORDINATE_INFO_LINE

See Also:
  Constant Field Values

### infoLineOrganizer

    protected java.util.ArrayList infoLineOrganizer

### preferredLocation

    protected java.lang.String preferredLocation

  BorderLayout.SOUTH by default for this class.

Constructor Detail

### InformationDelegator

    public InformationDelegator()

Method Detail

### initInfoWidgets

    public void initInfoWidgets()

  If you want to subclass the InformationDelegator and have it handle messages differently, you can override this method to set the widgets you want.

### setMap

    public void setMap(MapBean map)

  Set the MapBean so that when the mouse mode changes, the cursor can change. This gets called from findAndInit if a MapHandler is involved with the application.

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Listen for changes to the active mouse mode and for any changes to the list of available mouse modes. If the active mouse mode is "gestures", then the lat lon updates to the status line are deactivated.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### resetForLayers

    public void resetForLayers(Layer[] connectToLayers,
                               Layer[] removeFromLayers)

  Set the InformationDelegator on Layers. Usually called because the layers changed on the map, and we need to add the InformationDelegator as an InfoDisplayListener for the new layers, and remove it from the old layers.

### updateProgress

    public void updateProgress(ProgressEvent evt)

  Receive a ProgressEvent, and use it if possible.

  Specified by:
    `updateProgress` in interface `ProgressListener`

### addInfoLine

    public void addInfoLine(int refIndex,
                            javax.swing.JLabel iLine)

### removeInfoLine

    public void removeInfoLine(int refIndex)

### setLabel

    public void setLabel(java.lang.String str)

  Set the information line label.

  Parameters:
    `str` - String

### setAllLabels

    public void setAllLabels(java.lang.String str)

### setLabel

    public void setLabel(java.lang.String str,
                         int infoLineDesignator)

  Set the information line label.

  Parameters:
    `str` - String
    `infoLineDesignator` - the designator used to specify which information line to use to display the string.

### setStatusBar

    protected void setStatusBar()

  The method that updates the InformationDelegator display window with the correct layer representation. A status light reset method.

### setBrowser

    public void setBrowser(WebBrowser wb)

### getBrowser

    public WebBrowser getBrowser()

### displayURL

    public void displayURL(java.lang.String url)

  Try to display a URL in a web browser.

### displayBrowserContent

    public void displayBrowserContent(java.lang.String content)

  Display a html String in a window.

### displayInfoLine

    public void displayInfoLine(java.lang.String infoLine)

  Display a line of text in a info line.

### displayInfoLine

    public void displayInfoLine(java.lang.String infoLine,
                                int labelDesignator)

  Display a line of text in a designated info line.

### displayMessage

    public void displayMessage(java.lang.String title,
                               java.lang.String message)

  Display a message in a pop-up window.

### requestURL

    public void requestURL(InfoDisplayEvent event)

  Handle layer requests to have a URL displayed in a Browser.

  Specified by:
    `requestURL` in interface `InfoDisplayListener`
  Parameters:
    `event` - InfoDisplayEvent

### requestMessage

    public void requestMessage(InfoDisplayEvent event)

  Handle layer requests to have a message displayed in a dialog window.

  Specified by:
    `requestMessage` in interface `InfoDisplayListener`
  Parameters:
    `event` - InfoDisplayEvent

### requestInfoLine

    public void requestInfoLine(InfoDisplayEvent event)

  Handle layer requests to have an information line displayed in an application status window.

  Specified by:
    `requestInfoLine` in interface `InfoDisplayListener`
  Parameters:
    `event` - InfoDisplayEvent

### requestBrowserContent

    public void requestBrowserContent(InfoDisplayEvent event)

  Handle layer requests that plain text or html text be displayed in a browser.

  Specified by:
    `requestBrowserContent` in interface `InfoDisplayListener`
  Parameters:
    `event` - InfoDisplayEvent

### requestShowToolTip

    public void requestShowToolTip(java.awt.event.MouseEvent me,
                                   InfoDisplayEvent event)

  Deprecated. use requestShowToolTip(InfoDisplayEvent) instead.

  If a tooltip is required over a spot on the map then a `MouseMapListener` should pass a MouseEvent to this method. The Swing ToolTipManager is used to achieve this. A call to this method should always be followed by a call to `hideToolTip`

  Parameters:
    `me` - A MouseEvent from a `MapMouseListener` which indicates where the tooltip is to appear (unused)
    `event` - an event containing the ToolTip to show

### requestShowToolTip

    public void requestShowToolTip(InfoDisplayEvent event)

  If a tooltip is required over a spot on the map then a `MouseMapListener` should pass a MouseEvent to this method. The Swing ToolTipManager is used to achieve this. A call to this method should always be followed by a call to `hideToolTip`

  Specified by:
    `requestShowToolTip` in interface `InfoDisplayListener`
  Parameters:
    `event` - an event containing the ToolTip to show

### requestHideToolTip

    public void requestHideToolTip(java.awt.event.MouseEvent me)

  Deprecated. call requestHideToolTip() instead.

  This method should follow a call to showToolTip in order to indicate that the tooltip should no longer be displayed. This method should always follow a call to `showToolTip`

  Parameters:
    `me` - A MouseEvent which passes from a MapMouseListener to indicate that a tooltip should disappear

### requestHideToolTip

    public void requestHideToolTip()

  This method should follow a call to showToolTip in order to indicate that the tooltip should no longer be displayed. This method should always follow a call to `showToolTip`

  Specified by:
    `requestHideToolTip` in interface `InfoDisplayListener`

### initToolTip

    public void initToolTip()

  This method should be called to initialize the tooltip status so that an old tooltip doesn't remain when a layer starts listening to mouse events.

### requestCursor

    public void requestCursor(java.awt.Cursor cursor)

  Change the cursor for the MapBean. If the MapBean hasn't been set, then nothing will happen on the screen. If a null value is passed in, the cursor is reset to the MouseMode value. If the InformationDelegator is allowed to show the wait cursor, and the layers are busy, the wait cursor will take precedence. The requested cursor from a layer will be set if the layers finish.

  Specified by:
    `requestCursor` in interface `InfoDisplayListener`
  Parameters:
    `cursor` - java.awt.Cursor to change the cursor to.

### setResetCursor

    public void setResetCursor(java.awt.Cursor cursor)

  Set the cursor to use when the waiting is done, if a layer hasn't asked for one to be displayed. For the MouseMode changes, this is automatically called.

### resetCursor

    public void resetCursor()

  Sets the cursor over the mapbean to the assigned default, or whatever has been set by the MouseMode.

### setShowWaitCursor

    public void setShowWaitCursor(boolean value)

  If the value passed in is true, the cursor over the MapBean will be the waiting cursor layers are off working. The status lights will work, too, no matter what the value is. If false, the cursor won't change if the layers are working.

### isShowWaitCursor

    public boolean isShowWaitCursor()

  Returns whether the wait cursor will be shown if the layers are working.

### findAndInit

    public void findAndInit(java.lang.Object someObj)

  Called when an object has been added to the BeanContext. The InformationDelegator will look for certain objects it needs.

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `OMComponentPanel`

### findAndUndo

    public void findAndUndo(java.lang.Object someObj)

  Called when an object is being removed from the BeanContext. Will cause the object to be disconnected from the InformationDelegator if it is being used.

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`
  Overrides:
    `findAndUndo` in class `OMComponentPanel`

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponentPanel`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMComponentPanel`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `OMComponentPanel`
  PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent. If the component has a propertyPrefix set, the property keys should have that prefix plus a separating '.' prepended to each property key it uses for configuration.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `OMComponentPanel`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties props)

  Description copied from class: `OMComponentPanel`
  Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer. The key for each property should be the raw property name (without a prefix) with a value that is a String that describes what the property key represents, along with any other information about the property that would be helpful (range, default value, etc.). For Layer, this method should at least return the 'prettyName' property.

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Overrides:
    `getPropertyInfo` in class `OMComponentPanel`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### setInfoLineHolder

    public void setInfoLineHolder(javax.swing.JLabel ilh)

### getInfoLineHolder

    public javax.swing.JLabel getInfoLineHolder()

### setProgressBar

    public void setProgressBar(javax.swing.JProgressBar progressBar)

### getProgressBar

    public javax.swing.JProgressBar getProgressBar()

### setShowLights

    public void setShowLights(boolean set)

### getShowLights

    public boolean getShowLights()

### setShowInfoLine

    public void setShowInfoLine(boolean set)

  This only holds if the MAP_OBJECT_INFO_LINE has been created.

  Parameters:
    `set` - sets the visibility of the information line for map object information.

### getShowInfoLine

    public boolean getShowInfoLine()

### setShowCoordsInfoLine

    public void setShowCoordsInfoLine(boolean set)

  This only holds if the COORDINATE_INFO_LINE has been created.

  Parameters:
    `set` - sets the visibility of the information line for coordinate information.

### getShowCoordsInfoLine

    public boolean getShowCoordsInfoLine()

### setLightTriggers

    public void setLightTriggers(boolean set)

### getLightTriggers

    public boolean getLightTriggers()

### setFloatable

    public void setFloatable(boolean value)

### setPreferredLocation

    public void setPreferredLocation(java.lang.String value)

  MapPanelChild method.

  Specified by:
    `setPreferredLocation` in interface `MapPanelChild`

### getPreferredLocation

    public java.lang.String getPreferredLocation()

  MapPanelChild method.

  Specified by:
    `getPreferredLocation` in interface `MapPanelChild`

### getParentName

    public java.lang.String getParentName()

  Description copied from interface: `MapPanelChild`
  Should return the name of the desired parent component. This method lets a MapPanel to ask a component if it should be added to the panel. Enables application components to configure themselves from property file information.

  Specified by:
    `getParentName` in interface `MapPanelChild`
  Returns:
    the name of the parent component that the MapPanelChild should be added to, or null if it doesn't know.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details